algorithm File Reference
Technical Specifications » Library Fundamentals TS

Go to the source code of this file.

## Namespaces

namespace | std
namespace | std::experimental

## Macros

#define | __cpp_lib_experimental_sample

## Functions

template<typename _PopulationIterator, typename _SampleIterator, typename _Distance>
_SampleIterator | std::experimental::sample (_PopulationIterator __first, _PopulationIterator __last, _SampleIterator __out, _Distance __n)
template<typename _PopulationIterator, typename _SampleIterator, typename _Distance, typename _UniformRandomNumberGenerator>
_SampleIterator | std::experimental::sample (_PopulationIterator __first, _PopulationIterator __last, _SampleIterator __out, _Distance __n, _UniformRandomNumberGenerator &&__g)
template<typename _ForwardIterator, typename _Searcher>
_ForwardIterator | std::experimental::search (_ForwardIterator __first, _ForwardIterator __last, const _Searcher &__searcher)
template<typename _RandomAccessIterator>
void | std::experimental::shuffle (_RandomAccessIterator __first, _RandomAccessIterator __last)

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/algorithm.

## Macro Definition Documentation

## __cpp_lib_experimental_sample

#define __cpp_lib_experimental_sample

Definition at line 59 of file experimental/algorithm.